# Create organization webhook

Creates a new webhook for the specified organization. Only the EnvelopeCompleted event is supported.

Endpoint: POST /api/v1/organizations/{organizationId}/webhooks
Version: v1
Security: Bearer, PersonalAccessToken

## Security:

  - `Bearer` (unknown)
    http bearer JWT

  - `PersonalAccessToken` (unknown)
    apiKey in header Personal-Access-Token

## Path parameters:

  - `organizationId` (string, required)
    Unique identifier of the organization

## Request fields (application/json):

  - `url` (string, required)
    The URL receiving the webhook calls (max 2048 characters).
    Example: https://example.com/hooks/organization

  - `event` (string, required)
    Events a webhook can be configured for. Envelope webhooks support every event, organization webhooks only EnvelopeCompleted.
    Enum: "EnvelopeSent", "EnvelopeCompleted", "EnvelopeCanceled", "EnvelopeRestarted", "EnvelopeDeleted", "RecipientCompleted", "RecipientRejected", "RecipientDelegated"

  - `authentication` (object)
    Authentication settings for the webhook endpoint.

  - `authentication.headers` (object)
    Optional HTTP headers to include in webhook calls.

  - `authentication.clientCertificate` (string)
    Optional PEM-encoded client certificate for mTLS.

  - `authentication.clientKey` (string)
    Optional PEM-encoded private key for mTLS.

## Request examples:

  - `without authentication` (unknown)

  - `with header authentication` (unknown)

## Response 201:

  - `201` (unknown)
    Created

## Response 201 fields (application/json):

  - `id` (string, required)
    The ID of the created webhook.

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 422:

  - `422` (unknown)
    Unprocessable Content

## Response 422 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

